org.jbpm.services.cdi.impl

## Class IdentityProviderCDIWrapper

- java.lang.Object
- - org.jbpm.services.cdi.impl.IdentityProviderCDIWrapper

- All Implemented Interfaces:
    org.kie.internal.identity.IdentityProvider

      public class IdentityProviderCDIWrapper
      extends Object
      implements org.kie.internal.identity.IdentityProvider

  Wrapper to allow to use backup providers in case of given context is not available

- - ### Field Summary

    - ### Fields inherited from interface org.kie.internal.identity.IdentityProvider

      `UNKNOWN_USER_IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderCDIWrapper(org.kie.internal.identity.IdentityProvider identityProvider, javax.enterprise.inject.Instance<RequestScopedBackupIdentityProvider> backupProviders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `List<String>` | `getRoles()`
    `boolean` | `hasRole(String role)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.identity.IdentityProvider

      `removeContextIdentity, setContextIdentity`

- - ### Constructor Detail

    - #### IdentityProviderCDIWrapper

          public IdentityProviderCDIWrapper(org.kie.internal.identity.IdentityProvider identityProvider,
                                            javax.enterprise.inject.Instance<RequestScopedBackupIdentityProvider> backupProviders)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.internal.identity.IdentityProvider`

    - #### getRoles

          public List<String> getRoles()

      Specified by:
        `getRoles` in interface `org.kie.internal.identity.IdentityProvider`

    - #### hasRole

          public boolean hasRole(String role)

      Specified by:
        `hasRole` in interface `org.kie.internal.identity.IdentityProvider`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.